import 'package:flutter/material.dart';
import 'package:walk_2_school/bottom_nav_bar.dart';
import 'package:walk_2_school/standardized_widgets.dart';

class SettingsPage extends StatefulWidget {
  const SettingsPage({super.key});

  @override
  _SettingsPageState createState() => _SettingsPageState();
}

class _SettingsPageState extends State<SettingsPage> {
  // bool _isDarkTheme = false;

  // void _toggleTheme() {
  //   setState(() {
  //     _isDarkTheme = !_isDarkTheme;
  //     StandardizedWidgets.setTheme(_isDarkTheme);
  //   });
  // }

  @override
  Widget build(BuildContext context) {
    return Scaffold(
      backgroundColor: StandardizedWidgets.background,
      appBar: AppBar(
        backgroundColor: const Color(0xFF687A3E),
        centerTitle: true,
        title: StandardizedWidgets()
            .titleText('Settings', color: Colors.white, fontSize: 20),
        leading: Padding(
          padding: const EdgeInsets.all(8.0),
          child: GestureDetector(
            onTap: () {
              Navigator.pop(context);
            },
            child: const Icon(Icons.arrow_back),
          ),
        ),
      ),
      body: ListView(
        children: [
          ListTile(
            title: const Text("About the App"),
            onTap: () {
              showDialog(
                context: context,
                builder: (BuildContext context) {
                  return AlertDialog(
                    title: const Text("About the App"),
                    content: const Text(
                        "Walk 2 School is an app designed to promote healthy habits by encouraging students to walk to school. Track your progress, earn points, and compete with friends on the leaderboard."),
                    actions: [
                      TextButton(
                        onPressed: () {
                          Navigator.of(context).pop();
                        },
                        child: const Text("Close"),
                      ),
                    ],
                  );
                },
              );
            },
          ),
          const ListTile(
            title: Text("App Version"),
            subtitle: Text("1.0.0"),
          ),
        ],
      ),
      bottomNavigationBar: bottomNavBar(context, 'settings', false),
    );
  }
}
